Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Service Oriented Architecture Tools Platform (STP) » SOPERA Validation: XSD Validation: cvc-elt.1: Cannot find the declaration of element 'wsp:Policy'.
SOPERA Validation: XSD Validation: cvc-elt.1: Cannot find the declaration of element 'wsp:Policy'. [message #621205] Tue, 19 May 2009 16:07
Juan Pedro Silva is currently offline Juan Pedro Silva
Messages: 258
Registered: July 2009
Senior Member
This is a multi-part message in MIME format.
--------------040808060709000805020103
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit

Hi everybody, back again.
I'm trying to use STP`s Policy editor and Policy Validator (I'm new to
all this, so please apologize me if I'm asking basic stuff).
However, I'm having problems while validating even the simplest of
policy documents (no matter if created by the wizard or downloaded from
the Internet).
The error I'm getting is:

SOPERA Validation: XSD Validation: ['org.xml.sax.SAXParseException:
cvc-elt.1: Cannot find the declaration of element 'wsp:Policy'.']

It looks like an Internet connection issue, but eclipse connects
perfectly to the Internet, and the rest of the validators work fine (XSD
and WSDL validators work ok). I even downloaded the policy schema and
added it to the XML Catalog, and I'm still getting the same error message.
Does anybody have any ideas on the reason/solution for this?.
Thanks in advance.
Regards,
Juan Pedro

--------------040808060709000805020103
Content-Type: text/html; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit

<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
</head>
<body bgcolor="#ffffff" text="#000000">
Hi everybody, back again.<br>
I'm trying to use STP`s Policy editor and Policy Validator (I'm new to
all this, so please apologize me if I'm asking basic stuff).<br>
However, I'm having problems while validating even the simplest of
policy documents (no matter if created by the wizard or downloaded from
the Internet).<br>
The error I'm getting is:<br>
<br>
<font color="#ff0000"><font face="Courier">SOPERA Validation: XSD
Validation: ['org.xml.sax.SAXParseException: cvc-elt.1: Cannot find the
declaration of element 'wsp:Policy'.']</font><br>
<br>
<font color="#000000">It looks like an Internet connection issue, but
eclipse connects perfectly to the Internet, and the rest of the
validators work fine (XSD and WSDL validators work ok). I even
downloaded the policy schema and added it to the XML Catalog, and I'm
still getting the same error message.<br>
Does anybody have any ideas on the reason/solution for this?.<br>
Thanks in advance.<br>
Regards,<br>
&nbsp;&nbsp;&nbsp; &nbsp;&nbsp; &nbsp;&nbsp; &nbsp;&nbsp;&nbsp; Juan Pedro<br>
</font></font>
</body>
</html>

--------------040808060709000805020103--
Previous Topic:Is there any Policy meta-model in STP?
Next Topic:Is BPMN and BPEL the right choice for my problem?
Goto Forum:
  


Current Time: Tue Sep 16 03:13:42 GMT 2014

Powered by FUDForum. Page generated in 0.01541 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software